"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BabelMain = void 0;
function _cli() {
  const data = require("@teambit/cli");
  _cli = function () {
    return data;
  };
  return data;
}
function _compiler() {
  const data = require("@teambit/compiler");
  _compiler = function () {
    return data;
  };
  return data;
}
function _logger() {
  const data = require("@teambit/logger");
  _logger = function () {
    return data;
  };
  return data;
}
function babel() {
  const data = _interopRequireWildcard(require("@babel/core"));
  babel = function () {
    return data;
  };
  return data;
}
function _babel() {
  const data = require("./babel.aspect");
  _babel = function () {
    return data;
  };
  return data;
}
function _babel2() {
  const data = require("./babel.compiler");
  _babel2 = function () {
    return data;
  };
  return data;
}
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
class BabelMain {
  constructor(logger, compiler) {
    this.logger = logger;
    this.compiler = compiler;
  }
  createCompiler(options, babelModule = babel()) {
    return new (_babel2().BabelCompiler)(_babel().BabelAspect.id, this.logger, this.compiler, options, babelModule);
  }
  getPackageJsonProps() {
    return {
      main: 'dist/{main}.js'
    };
  }
  static async provider([loggerExt, compiler]) {
    const logger = loggerExt.createLogger(_babel().BabelAspect.id);
    return new BabelMain(logger, compiler);
  }
}
exports.BabelMain = BabelMain;
_defineProperty(BabelMain, "runtime", _cli().MainRuntime);
_defineProperty(BabelMain, "dependencies", [_logger().LoggerAspect, _compiler().CompilerAspect]);
_babel().BabelAspect.addRuntime(BabelMain);

//# sourceMappingURL=babel.main.runtime.js.map